@import './transitions';
@import './element/message';

@font-face {
  font-family: 'TT Interfaces';
  src: local('TT Interfaces Regular'), local('TT-Interfaces-Regular'),
    url('~@/assets/fonts/TTInterfaces-Regular/TTInterfaces-Regular.woff2')
      format('woff2'),
    url('~@/assets/fonts/TTInterfaces-Regular/TTInterfaces-Regular.woff')
      format('woff'),
    url('~@/assets/fonts/TTInterfaces-Regular/TTInterfaces-Regular.ttf')
      format('truetype');
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'TT Interfaces';
  src: local('TT Interfaces Medium'), local('TT-Interfaces-Medium'),
    url('~@/assets/fonts/TTInterfaces-Medium/TTInterfaces-Medium.woff2')
      format('woff2'),
    url('~@/assets/fonts/TTInterfaces-Medium/TTInterfaces-Medium.woff')
      format('woff'),
    url('~@/assets/fonts/TTInterfaces-Medium/TTInterfaces-Medium.ttf')
      format('truetype');
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: 'TT Interfaces';
  src: local('TT Interfaces Bold'), local('TT-Interfaces-Bold'),
    url('~@/assets/fonts/TTInterfaces-Bold/TTInterfaces-Bold.woff2')
      format('woff2'),
    url('~@/assets/fonts/TTInterfaces-Bold/TTInterfaces-Bold.woff')
      format('woff'),
    url('~@/assets/fonts/TTInterfaces-Bold/TTInterfaces-Bold.ttf')
      format('truetype');
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: 'TT Interfaces';
  src: local('TT Interfaces Light'), local('TTInterfaces-Light'),
    url('~@/assets/fonts/TTInterfaces-Light/TTInterfaces-Light.woff2')
      format('woff2'),
    url('~@/assets/fonts/TTInterfaces-Light/TTInterfaces-Light.woff')
      format('woff'),
    url('~@/assets/fonts/TTInterfaces-Light/TTInterfaces-Light.ttf')
      format('truetype');
  font-weight: 300;
  font-style: normal;
}

*,
::after,
::before {
  box-sizing: border-box;
  outline: none !important;
}

::placeholder {
  color: rgba(#000, 0.5);
}

html {
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
}

body {
  overflow-x: hidden;
  margin: 0px;
  padding: 0;
  font-size: 16px;
  min-width: 320px;
  position: relative;
  line-height: 1.65;
  color: #fff;
  background-color: #1f232f;
  font-family: 'TT Interfaces', serif;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
}

.text-center {
  text-align: center;
}

.text-right {
  text-align: right;
}

.text-uppercase {
  text-transform: uppercase;
}

[disabled] {
  cursor: not-allowed;
}

a {
  color: #fff;
  text-decoration: none;

  &:hover {
    color: #fff;
    text-decoration: none;
  }
}

img.img-responsive {
  max-width: 100%;
  height: auto;
  display: block;
}

img {
  max-width: 100%;
  height: auto;
}

@-webkit-keyframes underline-hover {
  0% {
    background-position: 0 100%;
  }

  to {
    background-position: 0 100%;
  }
}

@keyframes underline-hover {
  0% {
    background-position: 0 100%;
  }

  to {
    background-position: 0 100%;
  }
}

.hide-mobile {
  display: none !important;
}

@media (min-width: 1199.98px) {
  .hide-desktop {
    display: none !important;
  }

  .hide-mobile {
    display: block !important;
  }
}

.ck.ck-editor__editable_inline {
  overflow: unset !important;
  border: 1px dashed #ddd !important;
}

// blur hash

.fade-enter-active[data-v-6383fb07],
.fade-leave-active[data-v-6383fb07] {
  transition: opacity var(--transition-duration);
}
.fade-enter[data-v-6383fb07],
.fade-leave-to[data-v-6383fb07] {
  opacity: 0;
}

[data-v-6383fb07] img {
  object-fit: cover;
}
